Subject: Re: bug#43889: 28.0.50; [PATCH] Add new smiley-style emoji to Gnus

From: Eli Zaretskii <[email-masked]>
Date: Sat, 10 Oct 2020 14:32:23 +0300

> From: Adam Sjøgren <[email-masked]>
> Cc: [email-masked]
> Date: Sat, 10 Oct 2020 13:12:32 +0200
> 
> Eli writes:
> 
> >> The new smiley-style called emoji takes advantage of the harfbuzz glyph
> >> rendering to represent smileys as colorful unicode emoji rather than
> >> images.
> >
> > It doesn't actually test for HarfBuzz availability, or did I miss
> > that?
> 
> It doesn't - you have to choose the style yourself, by customizing the
> smiley-style variable.

How about adding that: the font-backend frame parameter should tell
you if HarfBuzz is available.

> The patch does not change the default value of smiley-style, it just
> adds yet another option for the user to choose.

My point was to help the user in this matter, by using this only if
available.

> I could have presented it better: what I was trying to say is that now
> that Emacs can present unicode emoji in colors (which I understand is
> due to harfbuzz), this option can be a useful alternative to
> representing smileys with color images, to achieve the desired effect.

Perhaps when HarfBuzz is being used, it should be the default?  I
don't use Gnus, but maybe such a new default will make sense to Gnus
users?